Bug 292396 - Add "Settings" items to QMenuBar so it can be exported via dbusmenu
Summary: Add "Settings" items to QMenuBar so it can be exported via dbusmenu
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: contactlist (show other bugs)
Version: git-latest
Platform: Unlisted Binaries Linux
: NOR wishlist
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2012-01-25 14:05 UTC by Martin Klapetek
Modified: 2013-02-25 18:01 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 0.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Klapetek 2012-01-25 14:05:10 UTC
<afiestas> mck182: do you think that would be possible to put the menubar into QMenBar so it gets exported via dbusmenu?
<afiestas> I mean, right now there is a button which displays a menu, the only needed thing is put htat menu in a QMenuBar, you don't need to display it though

I also think we could rethink it a little bit more (including the buttons in that menu or something). I'm still convinced we don't need a traditional main window menu.

Ideas?
Comment 1 David Edmundson 2012-01-25 14:23:04 UTC
Can't we just do what Dolphin does?

"I'm still convinced we don't need a traditional main
window menu."

Convince us why we need something different.
Comment 2 Martin Klapetek 2012-01-25 14:32:51 UTC
a) That menu adds unnecessary visual clutter to such small window

b) We don't have that much actions, so the menus would end up with like 2 entries

c) We have diverse actions which would result in multiple menus - "File; Contacts; View; Edit; Settings; Help", provided we would stick all actions in there


The contact list window is supposed to be rather narrow, putting the menu there would make the menu partially hidden if you use the narrow width, thus loosing its purpose.
Comment 3 David Edmundson 2012-01-25 14:34:21 UTC
But if we do what dolphin does, by default it would look exactly like it does now.
Comment 4 Alex Fiestas 2012-01-25 16:03:26 UTC
The point is being able to export whatever you want via dbusmenu so it can be shown by dbusmenu "painters".

Take a look at this screenshot:
http://i.imgur.com/QgJIN.png

See? the contact list is lacking a button in the window decorator because it is not exporting the menubar.

Of course as dolphin does you can set the QMenu in QMenuBar but NOT PAINT IT ! so it gets exported automatically.
Comment 5 Daniele E. Domenichelli 2012-03-27 16:58:05 UTC
The wrench icon in dolphin is shown when the menu is hidden. Moreover it cannot be moved by its position, but the toolbar can still be configured. So the menu is actually there, just not displayed.

We should do the same in the contact list (and perhaps also in the other components)
Comment 6 Roman 2013-02-25 12:29:18 UTC
I already have some drafts for ktp-contactlist global menu. Can anybody help me with menus contents?
Comment 7 David Edmundson 2013-02-25 18:01:47 UTC
Git commit a5c5f3642030909fb1ef61edfc11cad9ed5461a3 by David Edmundson, on behalf of Roman Nazarenko.
Committed on 25/02/2013 at 18:56.
Pushed by davidedmundson into branch 'master'.

Add KDE global menu support

Added global menu support.
Menu is not appearing in main window, so it's tiny look is not broken.
I also moved actions for menu from MainWidget constructor to class private scope, so they can be used from any method.

REVIEW: 109142
FIXED-IN: 0.6.0

DIGEST:

M  +124  -62   main-widget.cpp
M  +9    -0    main-widget.h

http://commits.kde.org/telepathy-contact-list/a5c5f3642030909fb1ef61edfc11cad9ed5461a3